Patch Deployment

Patch Deployment
Update deployment.

Updates the deployment with the supplied ID.

Request
URI
PATCH
https://{vcfa-fqdn}/deployment/api/deployments/{deploymentId}
COPY
Path Parameters
string
deploymentId
Required  

Deployment ID


Request Body
DeploymentUpdate of type(s) application/json
Required  
{
    "description": "string",
    "iconId": "string",
    "name": "string"
}
string
description
Optional
Constraints: maxLength: 2000

New description of the deployment

string As uuid As uuid
iconId
Optional

New iconid of the deployment

string
name
Optional
Constraints: minLength: 1 maxLength: 900

New name of the deployment

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns Deployment of type(s) application/json
{
    "blueprint": {
        "description": "string",
        "id": "string",
        "name": "string",
        "version": "string"
    },
    "blueprintId": "string",
    "blueprintVersion": "string",
    "catalog": {
        "description": "string",
        "id": "string",
        "name": "string",
        "version": "string"
    },
    "catalogItemId": "string",
    "catalogItemVersion": "string",
    "createdAt": "string",
    "createdBy": "string",
    "creator": {
        "email": "string",
        "firstname": "string",
        "id": "string",
        "lastname": "string",
        "type": "string"
    },
    "deleted": false,
    "description": "string",
    "expense": {
        "additionalExpense": "number",
        "code": "string",
        "computeExpense": "number",
        "lastUpdatedTime": "string",
        "message": "string",
        "networkExpense": "number",
        "storageExpense": "number",
        "totalExpense": "number",
        "unit": "string"
    },
    "iconId": "string",
    "id": "string",
    "inprogressRequests": {},
    "inputs": {},
    "lastRequest": {
        "actionId": "string",
        "approvedAt": "string",
        "blueprintId": "string",
        "cancelable": false,
        "catalogItemId": "string",
        "completedAt": "string",
        "completedTasks": 0,
        "createdAt": "string",
        "deploymentId": "string",
        "details": "string",
        "dismissed": false,
        "estimatedCompletionTime": "string",
        "id": "string",
        "initializedAt": "string",
        "inputs": {
            "inputs": {}
        },
        "name": "string",
        "outputs": {
            "outputs": {}
        },
        "requestedBy": "string",
        "resourceIds": [
            "string"
        ],
        "resources": [
            {
                "description": "string",
                "id": "string",
                "name": "string",
                "version": "string"
            }
        ],
        "status": "string",
        "totalTasks": 0,
        "updatedAt": "string"
    },
    "lastUpdatedAt": "string",
    "lastUpdatedBy": "string",
    "lastUpdater": {
        "email": "string",
        "firstname": "string",
        "id": "string",
        "lastname": "string",
        "type": "string"
    },
    "leaseExpireAt": "string",
    "leaseGracePeriodDays": 0,
    "name": "string",
    "orgId": "string",
    "outputs": {},
    "ownedBy": "string",
    "owner": {
        "email": "string",
        "firstname": "string",
        "id": "string",
        "lastname": "string",
        "type": "string"
    },
    "ownerType": "string",
    "project": {
        "description": "string",
        "id": "string",
        "name": "string",
        "version": "string"
    },
    "projectId": "string",
    "resources": [
        {
            "createdAt": "string",
            "currentRequest": {
                "actionId": "string",
                "approvedAt": "string",
                "blueprintId": "string",
                "cancelable": false,
                "catalogItemId": "string",
                "completedAt": "string",
                "completedTasks": 0,
                "createdAt": "string",
                "deploymentId": "string",
                "details": "string",
                "dismissed": false,
                "estimatedCompletionTime": "string",
                "id": "string",
                "initializedAt": "string",
                "inputs": {
                    "inputs": {}
                },
                "name": "string",
                "outputs": {
                    "outputs": {}
                },
                "requestedBy": "string",
                "resourceIds": [
                    "string"
                ],
                "resources": [
                    {
                        "description": "string",
                        "id": "string",
                        "name": "string",
                        "version": "string"
                    }
                ],
                "status": "string",
                "totalTasks": 0,
                "updatedAt": "string"
            },
            "dependsOn": [
                "string"
            ],
            "description": "string",
            "expense": {
                "additionalExpense": "number",
                "code": "string",
                "computeExpense": "number",
                "lastUpdatedTime": "string",
                "message": "string",
                "networkExpense": "number",
                "storageExpense": "number",
                "totalExpense": "number",
                "unit": "string"
            },
            "id": "string",
            "inprogressRequests": {},
            "name": "string",
            "origin": "string",
            "properties": {
                "properties": {}
            },
            "state": "string",
            "syncStatus": "string",
            "type": "string"
        }
    ],
    "status": "string"
}
object
blueprint
Optional

Optional affected resources details to which the request applies to

string
blueprintId
Optional

Deployment blueprint id

string
blueprintVersion
Optional

Deployment blueprint version

object
catalog
Optional

Optional affected resources details to which the request applies to

string
catalogItemId
Optional

Deployment catalog item id

string
catalogItemVersion
Optional

Deployment catalog version

string As date-time As date-time
createdAt
Read-Only  

Creation time

string
createdBy
Read-Only  

Created by

object
creator
Read-Only  

Expanded policy last updater details

boolean
deleted
Read-Only  

Indicates whether the deployment is deleted or not.

string
description
Optional

Description of the deployment

object
expense
Read-Only  

Expense associated with the deployment.

string
iconId
Optional

Deployment icon id

string As uuid As uuid
id
Optional

Id of the deployment

object
inprogressRequests
Read-Only  

inprogressRequests

object
inputs
Optional

inputs

object
lastRequest
Optional

Represents deployment requests.

string As date-time As date-time
lastUpdatedAt
Read-Only  

Update time

string
lastUpdatedBy
Read-Only  

Updated by

object
lastUpdater
Read-Only  

Expanded policy last updater details

string As date-time As date-time
leaseExpireAt
Read-Only  

Lease expiration time

integer As int32 As int32
leaseGracePeriodDays
Read-Only  

Deployment lease grace period before deletion in days

string
name
Required  

Name of the deployment

string
orgId
Optional

orgId

object
outputs
Optional

outputs

string
ownedBy
Read-Only  

Owned by

object
owner
Read-Only  

Expanded policy last updater details

string
ownerType
Read-Only  

Owner type

Enumeration: USER, AD_GROUP
object
project
Optional

Optional affected resources details to which the request applies to

string
projectId
Optional

Deployment project id

array of object
resources
Read-Only  

Expanded resources for the deployment. Content of this property will not be maintained backward compatible

string
status
Read-Only  

Represents the status of deployment with respect to its life cycle operations - create/update/delete.

Enumeration: CREATE_SUCCESSFUL, CREATE_INPROGRESS, CREATE_FAILED, UPDATE_SUCCESSFUL, UPDATE_INPROGRESS, UPDATE_FAILED, DELETE_SUCCESSFUL, DELETE_INPROGRESS, DELETE_FAILED

401

Unauthorized

Returns Deployment of type(s) application/json
{
    "blueprint": {
        "description": "string",
        "id": "string",
        "name": "string",
        "version": "string"
    },
    "blueprintId": "string",
    "blueprintVersion": "string",
    "catalog": {
        "description": "string",
        "id": "string",
        "name": "string",
        "version": "string"
    },
    "catalogItemId": "string",
    "catalogItemVersion": "string",
    "createdAt": "string",
    "createdBy": "string",
    "creator": {
        "email": "string",
        "firstname": "string",
        "id": "string",
        "lastname": "string",
        "type": "string"
    },
    "deleted": false,
    "description": "string",
    "expense": {
        "additionalExpense": "number",
        "code": "string",
        "computeExpense": "number",
        "lastUpdatedTime": "string",
        "message": "string",
        "networkExpense": "number",
        "storageExpense": "number",
        "totalExpense": "number",
        "unit": "string"
    },
    "iconId": "string",
    "id": "string",
    "inprogressRequests": {},
    "inputs": {},
    "lastRequest": {
        "actionId": "string",
        "approvedAt": "string",
        "blueprintId": "string",
        "cancelable": false,
        "catalogItemId": "string",
        "completedAt": "string",
        "completedTasks": 0,
        "createdAt": "string",
        "deploymentId": "string",
        "details": "string",
        "dismissed": false,
        "estimatedCompletionTime": "string",
        "id": "string",
        "initializedAt": "string",
        "inputs": {
            "inputs": {}
        },
        "name": "string",
        "outputs": {
            "outputs": {}
        },
        "requestedBy": "string",
        "resourceIds": [
            "string"
        ],
        "resources": [
            {
                "description": "string",
                "id": "string",
                "name": "string",
                "version": "string"
            }
        ],
        "status": "string",
        "totalTasks": 0,
        "updatedAt": "string"
    },
    "lastUpdatedAt": "string",
    "lastUpdatedBy": "string",
    "lastUpdater": {
        "email": "string",
        "firstname": "string",
        "id": "string",
        "lastname": "string",
        "type": "string"
    },
    "leaseExpireAt": "string",
    "leaseGracePeriodDays": 0,
    "name": "string",
    "orgId": "string",
    "outputs": {},
    "ownedBy": "string",
    "owner": {
        "email": "string",
        "firstname": "string",
        "id": "string",
        "lastname": "string",
        "type": "string"
    },
    "ownerType": "string",
    "project": {
        "description": "string",
        "id": "string",
        "name": "string",
        "version": "string"
    },
    "projectId": "string",
    "resources": [
        {
            "createdAt": "string",
            "currentRequest": {
                "actionId": "string",
                "approvedAt": "string",
                "blueprintId": "string",
                "cancelable": false,
                "catalogItemId": "string",
                "completedAt": "string",
                "completedTasks": 0,
                "createdAt": "string",
                "deploymentId": "string",
                "details": "string",
                "dismissed": false,
                "estimatedCompletionTime": "string",
                "id": "string",
                "initializedAt": "string",
                "inputs": {
                    "inputs": {}
                },
                "name": "string",
                "outputs": {
                    "outputs": {}
                },
                "requestedBy": "string",
                "resourceIds": [
                    "string"
                ],
                "resources": [
                    {
                        "description": "string",
                        "id": "string",
                        "name": "string",
                        "version": "string"
                    }
                ],
                "status": "string",
                "totalTasks": 0,
                "updatedAt": "string"
            },
            "dependsOn": [
                "string"
            ],
            "description": "string",
            "expense": {
                "additionalExpense": "number",
                "code": "string",
                "computeExpense": "number",
                "lastUpdatedTime": "string",
                "message": "string",
                "networkExpense": "number",
                "storageExpense": "number",
                "totalExpense": "number",
                "unit": "string"
            },
            "id": "string",
            "inprogressRequests": {},
            "name": "string",
            "origin": "string",
            "properties": {
                "properties": {}
            },
            "state": "string",
            "syncStatus": "string",
            "type": "string"
        }
    ],
    "status": "string"
}
object
blueprint
Optional

Optional affected resources details to which the request applies to

string
blueprintId
Optional

Deployment blueprint id

string
blueprintVersion
Optional

Deployment blueprint version

object
catalog
Optional

Optional affected resources details to which the request applies to

string
catalogItemId
Optional

Deployment catalog item id

string
catalogItemVersion
Optional

Deployment catalog version

string As date-time As date-time
createdAt
Read-Only  

Creation time

string
createdBy
Read-Only  

Created by

object
creator
Read-Only  

Expanded policy last updater details

boolean
deleted
Read-Only  

Indicates whether the deployment is deleted or not.

string
description
Optional

Description of the deployment

object
expense
Read-Only  

Expense associated with the deployment.

string
iconId
Optional

Deployment icon id

string As uuid As uuid
id
Optional

Id of the deployment

object
inprogressRequests
Read-Only  

inprogressRequests

object
inputs
Optional

inputs

object
lastRequest
Optional

Represents deployment requests.

string As date-time As date-time
lastUpdatedAt
Read-Only  

Update time

string
lastUpdatedBy
Read-Only  

Updated by

object
lastUpdater
Read-Only  

Expanded policy last updater details

string As date-time As date-time
leaseExpireAt
Read-Only  

Lease expiration time

integer As int32 As int32
leaseGracePeriodDays
Read-Only  

Deployment lease grace period before deletion in days

string
name
Required  

Name of the deployment

string
orgId
Optional

orgId

object
outputs
Optional

outputs

string
ownedBy
Read-Only  

Owned by

object
owner
Read-Only  

Expanded policy last updater details

string
ownerType
Read-Only  

Owner type

Enumeration: USER, AD_GROUP
object
project
Optional

Optional affected resources details to which the request applies to

string
projectId
Optional

Deployment project id

array of object
resources
Read-Only  

Expanded resources for the deployment. Content of this property will not be maintained backward compatible

string
status
Read-Only  

Represents the status of deployment with respect to its life cycle operations - create/update/delete.

Enumeration: CREATE_SUCCESSFUL, CREATE_INPROGRESS, CREATE_FAILED, UPDATE_SUCCESSFUL, UPDATE_INPROGRESS, UPDATE_FAILED, DELETE_SUCCESSFUL, DELETE_INPROGRESS, DELETE_FAILED

403

Forbidden

Returns Deployment of type(s) application/json
"Deployment Object"
object
blueprint
Optional

Optional affected resources details to which the request applies to

string
blueprintId
Optional

Deployment blueprint id

string
blueprintVersion
Optional

Deployment blueprint version

object
catalog
Optional

Optional affected resources details to which the request applies to

string
catalogItemId
Optional

Deployment catalog item id

string
catalogItemVersion
Optional

Deployment catalog version

string As date-time As date-time
createdAt
Read-Only  

Creation time

string
createdBy
Read-Only  

Created by

object
creator
Read-Only  

Expanded policy last updater details

boolean
deleted
Read-Only  

Indicates whether the deployment is deleted or not.

string
description
Optional

Description of the deployment

object
expense
Read-Only  

Expense associated with the deployment.

string
iconId
Optional

Deployment icon id

string As uuid As uuid
id
Optional

Id of the deployment

object
inprogressRequests
Read-Only  

inprogressRequests

object
inputs
Optional

inputs

object
lastRequest
Optional

Represents deployment requests.

string As date-time As date-time
lastUpdatedAt
Read-Only  

Update time

string
lastUpdatedBy
Read-Only  

Updated by

object
lastUpdater
Read-Only  

Expanded policy last updater details

string As date-time As date-time
leaseExpireAt
Read-Only  

Lease expiration time

integer As int32 As int32
leaseGracePeriodDays
Read-Only  

Deployment lease grace period before deletion in days

string
name
Required  

Name of the deployment

string
orgId
Optional

orgId

object
outputs
Optional

outputs

string
ownedBy
Read-Only  

Owned by

object
owner
Read-Only  

Expanded policy last updater details

string
ownerType
Read-Only  

Owner type

Enumeration: USER, AD_GROUP
object
project
Optional

Optional affected resources details to which the request applies to

string
projectId
Optional

Deployment project id

array of object
resources
Read-Only  

Expanded resources for the deployment. Content of this property will not be maintained backward compatible

string
status
Read-Only  

Represents the status of deployment with respect to its life cycle operations - create/update/delete.

Enumeration: CREATE_SUCCESSFUL, CREATE_INPROGRESS, CREATE_FAILED, UPDATE_SUCCESSFUL, UPDATE_INPROGRESS, UPDATE_FAILED, DELETE_SUCCESSFUL, DELETE_INPROGRESS, DELETE_FAILED

404

Not Found

Returns Deployment of type(s) application/json
"Deployment Object"
object
blueprint
Optional

Optional affected resources details to which the request applies to

string
blueprintId
Optional

Deployment blueprint id

string
blueprintVersion
Optional

Deployment blueprint version

object
catalog
Optional

Optional affected resources details to which the request applies to

string
catalogItemId
Optional

Deployment catalog item id

string
catalogItemVersion
Optional

Deployment catalog version

string As date-time As date-time
createdAt
Read-Only  

Creation time

string
createdBy
Read-Only  

Created by

object
creator
Read-Only  

Expanded policy last updater details

boolean
deleted
Read-Only  

Indicates whether the deployment is deleted or not.

string
description
Optional

Description of the deployment

object
expense
Read-Only  

Expense associated with the deployment.

string
iconId
Optional

Deployment icon id

string As uuid As uuid
id
Optional

Id of the deployment

object
inprogressRequests
Read-Only  

inprogressRequests

object
inputs
Optional

inputs

object
lastRequest
Optional

Represents deployment requests.

string As date-time As date-time
lastUpdatedAt
Read-Only  

Update time

string
lastUpdatedBy
Read-Only  

Updated by

object
lastUpdater
Read-Only  

Expanded policy last updater details

string As date-time As date-time
leaseExpireAt
Read-Only  

Lease expiration time

integer As int32 As int32
leaseGracePeriodDays
Read-Only  

Deployment lease grace period before deletion in days

string
name
Required  

Name of the deployment

string
orgId
Optional

orgId

object
outputs
Optional

outputs

string
ownedBy
Read-Only  

Owned by

object
owner
Read-Only  

Expanded policy last updater details

string
ownerType
Read-Only  

Owner type

Enumeration: USER, AD_GROUP
object
project
Optional

Optional affected resources details to which the request applies to

string
projectId
Optional

Deployment project id

array of object
resources
Read-Only  

Expanded resources for the deployment. Content of this property will not be maintained backward compatible

string
status
Read-Only  

Represents the status of deployment with respect to its life cycle operations - create/update/delete.

Enumeration: CREATE_SUCCESSFUL, CREATE_INPROGRESS, CREATE_FAILED, UPDATE_SUCCESSFUL, UPDATE_INPROGRESS, UPDATE_FAILED, DELETE_SUCCESSFUL, DELETE_INPROGRESS, DELETE_FAILED

Code Samples
COPY
                    curl -X PATCH -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}'